Gets end line

- « ReflectionClass::getDocComment

- ReflectionClass::getExtension »

- PHP Manual
- ReflectionClass
- Gets end line

# ReflectionClass::getEndLine

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getEndLine — Gets end line

### Description

public ReflectionClass::getEndLine(): int|false

Gets end line number from a user-defined class definition.

### Parameters

This function has no parameters.

### Return Values

The ending line number of the user defined class, or `false` if unknown.

### Examples

Example #1 ReflectionClass::getEndLine() example

    <?php
    // Test Class
    class TestClass { }

    $rc = new ReflectionClass('TestClass');

    echo $rc->getEndLine();
    ?>

The above example will output:

    3

### See Also

- ReflectionClass::getStartLine() - Gets starting line number